<< boxcar | FOSSEE_Signal_Processing_Toolbox | buttap >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > buffer

# buffer

Buffer data into a matrix of signal frames.

### Syntax

    [y] = buffer(x, n)
    [y] = buffer(x, n, p)
    [y, z, opt] = buffer(...)

### Parameters

x:

  Data to be buffered.

n:

  Positive integer. Number of rows in the produced data buffer.

p:

  Integer less than n. Default is 0.

opt:

  Specifies overlap or underlap behavior. Can be a vector of length p, the string "nodelay", or an integer between 0 and p.

### Description

This function buffers the given data into a matrix of signal frames. It supports overlapping and underlapping frames based on the parameters `p` and `opt`.

### Examples

    buffer(1, 3, 2)

Report an issue
<< boxcar | FOSSEE_Signal_Processing_Toolbox | buttap >>